#include <stdio.h>
#include<iostream>
#include<cmath>
using namespace std;
#define d(J)n*2*sin((a[i]-a[J])*M_PI)
main(){
	for(int s=-1,n,q,i,j;std::cin>>n;)if(++s){
		double p,a[n],m=i=j=0;
		for(;i<n;m=max(m,d(j)),i++)
			for(std::cin>>p>>q,a[i]=p/q;i&&d(j+1)>d(j);)
				j++;
		printf("Scenario #%d:\n%.2f\n\n",s,m);
	}
}
